make_figure <- function(results){
  
  ggplot(results) +
    geom_hline(yintercept = 0.5, 
               linetype = "dashed", 
               color = "gray") +
    geom_pointrange(aes(x = term,
                        y = estimate, 
                        ymin = conf.low,
                        ymax = conf.high, 
                        color = factor(sig))) +
    theme_few() +
    scale_color_manual(values = c("black", "red")) +
    scale_y_continuous(breaks = c(0.25, 0.50, 0.75)) +
    guides(color = "none") +
    labs(x = NULL, 
         y = "Marginal mean") 
  
}