make_figure_with_hist <- function(results, xlabel, b0 = -250, b1 = 1000, xbreaks = c(4, 20), xlabels = xbreaks, title = as.character(NULL)){
  
  ggplot(results, 
         aes(x = term)) + 
    geom_col(aes(y = n), 
             color = "white", 
             fill = "lightgray") +
    geom_hline(yintercept = b0 + 0.5 * b1, 
               color = "lightgray", 
               linetype = "dashed") +
    geom_pointrange(aes(y = fitted,
                        ymin = lower,
                        ymax = upper,
                        color = sig)) +
    guides(color = "none") +
    scale_color_manual(values = c("black", "red")) +
    scale_y_continuous(breaks = c(b0 + 0.25 * b1, 
                                  b0 + 0.50 * b1,
                                  b0 + 0.75 * b1), 
                       labels = c("0.25", "0.50", "0.75")) +
    scale_x_continuous(breaks = xbreaks, 
                       labels = xlabels) +
    coord_cartesian(ylim = c(b0 + 0.25 * b1, 
                             b0 + 0.75 * b1)) +
    labs(y = "Marginal mean", 
         x = xlabel, 
         title = title) +
    theme_few() 
  
}
