#' Agadjanian, Carey, Horiuchi, and Ryan
#' A master file to source all scripts. 
#'
#' IMPORTANT:
#' Make sure that you re-start an R session by pressing Ctrl + Shift + F10

# Install necessary packages (if not yet installed) -----------------------

if (!require(tidyverse)) install.packages("tidyverse")
if (!require(lubridate)) install.packages("lubridate")
if (!require(ggthemes)) install.packages("ggthemes")
if (!require(estimatr)) install.packages("estimatr")
if (!require(cowplot)) install.packages("cowplot")
if (!require(fabricatr)) install.packages("fabricatr")
if (!require(haven)) install.packages("haven")
if (!require(patchwork)) install.packages("patchwork")

# Specify scripts to run --------------------------------------------------

build_files <- list.files("build/scripts")
analyze_files <- list.files("analyze/scripts")

# Run scripts sequentially ------------------------------------------------

for (i in seq_along(build_files)){

  file <- paste0("build/scripts/", build_files[i])
  print(file)
  source(file)

}
 
for (i in seq_along(analyze_files)){

  file <- paste0("analyze/scripts/", analyze_files[i])
  print(file)
  source(file)

}

# Save session information ------------------------------------------------

writeLines(capture.output(sessionInfo()), "sessionInfo.txt")

